petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscRandomType

String with the name of a PETSc randomizer

### Synopsis

    typedef const char* PetscRandomType;
    #define PETSCRAND       "rand"
    #define PETSCRAND48     "rand48"
    #define PETSCSPRNG      "sprng"
    #define PETSCRANDER48   "rander48"

Many br

Notes: to use the SPRNG you must have ./configure PETSc Many brwith the option --download-sprng Many br

### See Also

PetscRandomSetType(), PetscRandom, PetscRandomCreate()

Level:beginner
Location:include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages